net.ME1312.SubServers.Client.Bukkit.Library

## Class NamedContainer<T,V>

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Library.Container<V>
  - - net.ME1312.SubServers.Client.Bukkit.Library.NamedContainer<T,V>

    public class NamedContainer<T,V>
    extends Container<V>

### Constructor Summary

Constructors
Constructor and Description
`NamedContainer(T name, V item)` Creates a TaggedContainer

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `name()` Gets the name of the Container
`void` `rename(T name)` Renames the Container

### Methods inherited from class net.ME1312.SubServers.Client.Bukkit.Library.Container

`get, set`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamedContainer

    public NamedContainer(T name,
                          V item)

Creates a TaggedContainer

Parameters:
  `name` - Tag to Bind
  `item` - Object to Store

### Method Detail

#### name

    public T name()

Gets the name of the Container

Returns:
  Container name

#### rename

    public void rename(T name)

Renames the Container

Parameters:
  `name` - New Container Name